Subject: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: Jonathan Kyle Mitchell <[email-masked]>
Date: Mon, 02 Jul 2018 00:06:05 -0500

martin rudalics <[email-masked]> writes:

>> I had the opportunity to test Robert's C patch on a recent copy of the
>> master branch today in a Fedora 28 VM using Gnome3, Xfce4, and KDE5.
>> Setting the hide argument to `t' in the new Lisp function
>> `x-set-hide-titlebar-when-maximized' worked as expected in Gnome and
>> Xfce--the titlebar disappeared when I maximized the Emacs frame.
>
> Thank you very much for testing.  Can you check whether it works when
> maximizing an undecorated frame?  That is, make a new frame, in it do
>
> (set-frame-parameter nil 'undecorated t)
>
> then maximize it and demaximize it.  Is it still undecorated?

Yes, the frame remains undecorated after both maximizing and
demaximizing it.

>> The
>> KDE titlebar remained in place except when putting Emacs in fullscreen
>> mode.
>
> Somehow KDE is a notorious refusnik as far as Emacs frames are
> concerned.  While you're there: Can you confirm the strange resizing
> behaviors of Bug#31968?  For example, does evaluating
>
> (modify-frame-parameters nil '((left . 0) (top . 0) (width . 130)
> (height . 56)))
>
> result in a 130x56 frame?

Yes, I get a frame-width of 130 and frame-height of 56 after running
that function.

--
Jonathan Kyle Mitchell